import QtQuick 2.0
import Sailfish.Silica 1.0

Rectangle {
    id: container
    height: col.height

    Column {
        id: col

        Image {
            id: image
            fillMode: Image.PreserveAspectFit
            width: chatView.width
            source: modelData.Url.replace("mxc://", "image://MXCImage/")
            asynchronous: true

            BusyIndicator {
                id: busy
                size: BusyIndicatorSize.Medium
                anchors.centerIn: image
                running: image.status != Image.Ready
            }
        }
        Text {
            id: body
            text: modelData.FormattedBody
            color: Theme.secondaryColor
            wrapMode: Text.Wrap
            width: chatView.width
            font.pixelSize: Theme.fontSizeTiny
        }
    }
}
